org.apache.calcite.avatica.proto

## Interface Requests.TypeInfoRequestOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Requests.TypeInfoRequest, Requests.TypeInfoRequest.Builder

Enclosing class:
  Requests

    public static interface Requests.TypeInfoRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`String` `getConnectionId()` `optional string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `optional string connection_id = 1;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getConnectionId

    String getConnectionId()

`optional string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`optional string connection_id = 1;`